//////////////////////////////////////////////////////////////////////////
// Copyright 2005-2008 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Editor. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//////////////////////////////////////////////////////////////////////////

#if ASPOSE_EDITOR_DESKTOP
namespace Aspose.Editor.Desktop
#elif ASPOSE_EDITOR_CLIENT
namespace Aspose.Editor.Client
#endif
{
    /// <summary>
    /// Third-party internally used adapter for the <see cref="KeyotiRapidSpellAdapterImpl"/>.
    /// </summary>
    internal class KeyotiTextBoxUtilityAdapter : Keyoti.RapidSpell.TextBoxUtilityAdapter
    {
        internal KeyotiTextBoxUtilityAdapter(KeyotiRapidSpellAdapterImpl adapterImpl) : base(adapterImpl, false)
        {
        }


        protected override void paint()
        {
            // We will paint ourselves from the View_OnPaint in the Impl.
            return;
        }
    }
}