<%@ Page language="c#" %>
<%
    Response.Clear();
    Response.ContentType = "application/js";
    Response.AddHeader("Content-Type", "application/js");
    Response.AddHeader("Content-Disposition", "inline;filename=SecurityConfig.js");
%>
// adjustable settings
var Name = "Aspose.Editor.Client";
var Url = "<%=Request.Url.GetLeftPart(UriPartial.Authority)%>/*";
var Publisher = "Aspose Pty Ltd."
var Description = "Security settings for Aspose.Editor.Client";
var Permission = "FullTrust";


// update security
update(Name, Url, Permission, Publisher, Description);

function update(name, url, permission, publisher, description)
{
    try
    {
    // define .NET framework directories location
    var WSHShell = WScript.CreateObject("WScript.Shell");
    var path = WSHShell.RegRead("HKLM\\SOFTWARE\\Microsoft\\.NETFramework\\InstallRoot");
    
    // execute security policy configuration tool
    args = "-m -q -pp off -ag 1. -url " + url + " " + 
           permission + " -n \"" + name + "\" -d \"" + description + "\"";
          
    // define the last available .NET framework directory
    var fso = WScript.CreateObject("Scripting.FileSystemObject");
    f = fso.GetFolder(path);
    fc = new Enumerator(f.SubFolders);
    for (; !fc.atEnd(); fc.moveNext())
    {
        s = fc.item();
        switch(s.Name.substring(0, 5))
        {
            case "v2.0.":
            case "v1.1.":
                f = s;
                if ( fso.FileExists(f.Path + "\\caspol.exe") )
                    WSHShell.Run(f.Path + "\\caspol " + args, 0);
                break;
        }        
    }
    
    WSHShell.Popup("Security settings for " + Name + " successfully applied." +
    "\nInternet browser should be restarted.", 0, "Congratulations!");
    }
    catch(e)
    {
        WSHShell.Popup(e.message, 0, "Error occured");
    }
}
<%
    Response.End();
%>